Name:           nodejs-type
Version:        2.0.0
Release:        %mkrel 2
Group:          Development/Other
Summary:        Runtime validation and processing of JavaScript types

License:        ISC
URL:            https://github.com/medikoo/type
Source0:        https://github.com/medikoo/type/archive/v%{version}/type-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

%description
Runtime validation and processing of JavaScript types

%prep
%autosetup -n type-%{version}
rm -rf node_modules


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/type
cp -pr * %{buildroot}%{nodejs_sitelib}/type
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/type




%changelog
* Tue May 05 2020 joequant <joequant> 2.0.0-2.mga8
+ Revision: 1580669
- add all subdirs

* Tue May 05 2020 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1580605
- imported package nodejs-type

